Package org.snpeff.genBank

# Class GenBankFile

java.lang.Object
org.snpeff.genBank.FeaturesFile
org.snpeff.genBank.GenBankFile

All Implemented Interfaces:
  `Iterable<Features>`, `Iterator<Features>`

public class GenBankFile extends FeaturesFile
A file containing one or more set of features (e.g. multiple chromosomes concatenated in a single file) Ref: http://www.insdc.org/documents/feature-table

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`GenBankFile(String fileName)`

## Method Summary

### Methods inherited from class org.snpeff.genBank.FeaturesFile

`hasNext, iterator, next, open, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### GenBankFile

public GenBankFile(String fileName)